@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

//VARIABLES
$fondo:#F3F6FA;
$select:#63A831;
$primary:#401F0C;
$secondary: black;

//ESTILOS
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}
body{
    background: $fondo;
}
img{
    display: block;
}
h1,h2,h3,h4,h5{
    margin: 0;
    padding: 0;
}
.active{
    color: $select;
}
.menu{
    transition: all .8s ease;
    transform: translateX(100%);
}
a{
    color: black;
    text-decoration: none;
}
ul{
    li{
        list-style: none;
    }
}
textarea{
    min-width: 100%;
    max-width: 100%;
    height: 80px;
    padding: 15px;
    border: 1px solid silver;
    &::placeholder{
        color: silver;
        font-weight: 600;
    }
}
button{
    border: none;
    outline: none;
    background: none;
}

//ESTILOS GENERALES
.wrapper-nav{
    position: fixed;
    z-index: 2;
    width: 50%;
    left: -50%;
    height: 100vh;
    background: white;
    transition: all .8s ease;
    border-right: 1px solid silver;
    .container-logo{
        margin-top: 20px;
        //FLEX
        display: flex;
        align-items: center;
        justify-content: center;
        .img-logo{
            position: relative;
            right: 10px;
            width: 35px;
            height: 35px;
        }
        .title-site{
            color: $secondary;
            font-size: 25px;
            font-weight: 800;
        }
    }
    .navegacion{
        position: relative;
        margin-top: 30px;
        //FLEX
        display: flex;
        align-items: center;
        justify-content: center;
        .nav-elements{
            a{
                .list-nav-elements{
                    margin: 25px 0;
                    &:hover{
                        color: $select;
                    }
                    //FLEX
                    display: flex;
                    align-items: center;
                    i,p{
                        margin: 0 10px;
                        font-weight: 700;
                    }
                }
            }
        }
    }
}


//ESTILOS DEL MAIN
main{
    position: relative;
    width: 100%;
    header{
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 1;
        left: 0;
        color: white;
        background: $primary;
        .container-header{
            position: relative;
            width: 85%;
            padding: 15px 0;
            margin: auto;
            //FLEX
            display: flex;
            align-items: center;
            justify-content: space-between;
            .container-docente, .container-menu{
                position: relative;
                //FLEX
                display: flex;
                align-items: center;
                i{
                    font-size: 22px;
                }
            }
            .container-docente{
                .info-docente{
                    margin-left: 10px;
                    p{
                        &:nth-child(1){
                            font-weight: 600;
                            font-size: 13px;
                        }
                        &:nth-child(2){
                            font-size: 12px;
                        }
                    }
                }
            }
            .container-menu{
                .btn-menu{
                    cursor: pointer;
                    i{
                        color: white;
                    }
                }
            }
        }
    }
    .caja{
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 450px;
        background: $primary;
    }
    
    .section-content{
        position: relative;
        top: 80px;
        width: 85%;
        margin: auto;
        background: white;
        border-radius: 10px;
        box-shadow: 0 0 5px silver;
        .article-content{
            padding: 30px;
            .form-canalizacion{
                .accion{
                    .subtitle{
                        position: relative;
                        top: -15px;
                        padding: 15px 0;
                        font-size: 20px;
                        color: $secondary;
                        border-bottom: 1px solid silver;
                    }
                    .elements{
                        .list-elements{
                            //FLEX
                            display: flex;
                            flex-wrap: wrap;
                            label, input, select{
                                margin: 5px 0;
                            }
                            label{
                                font-weight: 600;
                                color: $secondary;
                            }
                            input, select{
                                width: 100%;
                                outline: none;
                                font-weight: 500;
                                padding: 6px 12px;
                                color: $secondary;
                                border: 1px solid silver;
                            }
                        }
                    }
                }
                .serp{
                    margin-top: 20px;
                    .elements{
                        .list-elements{
                            margin: 10px 0;
                            //FLEX
                            display: flex;
                            align-items: center;
                            justify-content: space-between;
                            label{
                                cursor: pointer;
                                width: 80%;
                                &:hover{
                                    color: $select;
                                }
                            }
                            input{
                                position: relative;
                                width: 0;
                                margin: 15px;
                                appeatance: none;
                                border: none;
                            }
                            input[type="checkbox"]:after{
                                font-family: "Font Awesome 5 Free" ;
                                content: '\f14a';
                                font-weight: 600;
                                font-size: 16px;
                                color: $secondary;
                            }
                            input[type="checkbox"]:checked:after{
                                color: $select;
                            }
                        }
                    }
                    .tabs{
                        border: 1px solid silver;
                        .list-tabs{
                            margin: 15px;
                            a{
                                font-weight: 700;
                                font-size: 14px;
                            }
                        }
                    }
                    .buttons {
                        display: flex;
                        flex-direction: row-reverse;
                        .list-buttons {
                            position: relative;
                            left: 10px;
                            margin: 0 10px;
                            .btn {
                                cursor: pointer;
                                padding: 10px 15px;
                                font-weight: 600;
                                border: 1px solid silver;
                                &:hover{
                                    color: white;
                                    background: $select;
                                    border: 1px solid $select;
                                }
                            }
                        }
                    }
                }
                .motivos{
                    .elements{
                        .list-elements{
                            label{
                                width: 60%;
                            }
                            input{
                                width: 20%;
                                border: 1px solid silver;
                            }
                        }
                    }
                }
            }
        }
    }
}
footer{
    position: relative;
    margin-top: 120px;
    bottom: 0;
    width: 100%;
}
@media screen and(min-width: 480px){
    .wrapper-nav{
        width: 40%;
        left: -40%;
    }
}
@media screen and (min-width: 600px){
    main{
        .section-content{
            form{
                .elements{
                    display: flex;
                    flex-wrap: wrap;
                    justify-content: space-between;
                    .list-elements{
                        width: 47%;
                    }
                }
            }
        }
    }
}
@media screen and (min-width:720px){
    .wrapper-nav{
        width: 30%;
        left: -30%;
    }
    main{
        .section-content {
            .article-content {
                form {
                    .serp {
                        .tabs {
                            display: flex;
                        }
                    }
                }
            }
        }
    }
}

@media screen and (min-width: 900px){
    .wrapper-nav {
        left: 0;
        width: 10%;
        .container-logo{
            .img-logo{
                position: relative;
                right: 0;
                width: 50px;
                height: 50px;
            }
            .title-site{
                display: none;
            }
        }
        .navegacion{
            .nav-elements{
                margin-top: -20px;
                a{
                    .list-nav-elements{
                        position: relative;
                        margin: 40px 0;
                        flex-direction: column;
                        i,p{
                            margin: 5px 0;
                        }
                        i{
                            font-size: 1.5em;
                        }
                        p{
                            position: relative;
                            font-size: 12px;
                        }
                    }
                }
            }
        }
    }
    main {
        left: 10%;
        width: 90%;
        header {
            left: 10%;
            width: 90%;
            .container-header {
                width: 80%;
                .container-docente {
                    i {
                        font-size: 30px;
                    }
                    .info-docente{
                        p{
                            &:nth-child(1){
                                font-size: 17px;
                            }
                        }
                    }
                }
                .container-menu{
                    display: none;
                }
            }
        }

        .section-content {
            width: 80%;
            form {
                .elements {
                    display: flex;
                    flex-wrap: wrap;
                    justify-content: space-between;

                    .list-elements {
                        margin: 15px 0;
                        width: 30%;
                    }
                }
            }
        }
    }
}
@media screen and (min-width:1440px) and (max-width: 2306px){
    .wrapper-nav {
        width: 15%;
        .container-logo{
            .img-logo{
                right: 10px;
                width: 45px;
                height: 45px;
            }
            .title-site{
                display: block;
            }
        }
        .navegacion{
            .nav-elements{
                a{
                    .list-nav-elements{
                        margin-left: 10px;
                        //FLEX
                        display: flex;
                        flex-direction: row;
                        i{
                            position: relative;
                            right: 5px;
                            font-size: 22px;
                        }
                        p{
                            position: relative;
                            left: 5px;
                            font-size: 17px;
                        }
                    }
                }
            }
        }
    }

    main {
        left: 15%;
        width: 85%;

        header {
            left: 15%;
            width: 85%;
            .container-header{
                width: 70%;
            }
        }
        .section-content{
            width: 70%;
            .article-content{
                width: 95%;
                margin: auto;
            }
        }
    }
}